Loading...
Searching...
No Matches
engine_state Struct Reference

This struct will hold the current engine state after compilation. More...

`#include <csoundCore.h>`

## Data Fields

CS_VAR_POOL * | varPool
CS_HASH_TABLE * | constantsPool
CS_HASH_TABLE * | stringPool
int | maxopcno
INSTRTXT ** | instrtxtp
INSTRTXT | instxtanchor
CS_HASH_TABLE * | instrumentNames
int | maxinsno

## Detailed Description

This struct will hold the current engine state after compilation.

## Field Documentation

## constantsPool

CS_HASH_TABLE* engine_state::constantsPool

## instrtxtp

INSTRTXT** engine_state::instrtxtp

## instrumentNames

CS_HASH_TABLE* engine_state::instrumentNames

## instxtanchor

INSTRTXT engine_state::instxtanchor

## maxinsno

int engine_state::maxinsno

## maxopcno

int engine_state::maxopcno

## stringPool

CS_HASH_TABLE* engine_state::stringPool

## varPool

CS_VAR_POOL* engine_state::varPool